Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
digikam [Le 17/10/2018, 22:30]
86.202.90.243 [Installer sous Ubuntu en limitant les dépendances KDE]
digikam [Le 20/12/2021, 21:45] (Version actuelle)
wiki-corrector-bot passage de http à https sur les liens externes (détecté et corrigé via le bot wiki-corrector (https://forum.ubuntu-fr.org/viewtopic.php?id=2067892)
Ligne 1: Ligne 1:
-{{tag>Xenial ​gestionnaire_de_photos photo}}+ 
 +{{tag>Bionic ​gestionnaire_de_photos photo}} 
 ---- ----
 +{{ :​digikam:​digikam_oxygen_logo.png?​logo de digikam}}
 ====== digiKam ====== ====== digiKam ======
  
-**digiKam** est un gestionnaire de photos libre très complet pour l'​environnement de bureau [[:KDE]]. Il peut aussi être utilisé sous d'​autres environnements,​ tel que [[:GNOME]].+**[[wpfr>​DigiKam|digiKam]]** est un gestionnaire de photos libre très complet pour l'​environnement de bureau [[:KDE]]. Il peut aussi être utilisé sous d'​autres environnements,​ tel que [[:GNOME]].
  
 {{ http://​lh5.googleusercontent.com/​-ZQoHDqhopcw/​UkNZO8KNe8I/​AAAAAAAABeU/​Tqzod0tekSo/​w1002-h564-no/​digikamWindows3.4.0.png?​500 }} {{ http://​lh5.googleusercontent.com/​-ZQoHDqhopcw/​UkNZO8KNe8I/​AAAAAAAABeU/​Tqzod0tekSo/​w1002-h564-no/​digikamWindows3.4.0.png?​500 }}
  
-===== Pré-requis ===== 
- 
-  * Disposer des [[:​sudo|droits d'​administration]]. 
-  * Disposer d'une connexion à Internet configurée et activée. 
  
 =====Installation===== =====Installation=====
  
-Il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​digikam]]** et si vous souhaitez avoir la dcumentation ​[[:​tutoriel:​comment_installer_un_paquet|installez encore le paquet]] **[[apt>​digikam-doc]]**.+Il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​digikam]]** et si vous souhaitez avoir la documentation ​[[:​tutoriel:​comment_installer_un_paquet|installez encore le paquet]] **[[apt>​digikam-doc]]**.
  
 Un paquet complémentaire est nécessaire si vous souhaitez bénéficier des outils de modifications des photos et d'​édition des métadonnées (EXIF, IPTC...) **[[apt>​kipi-plugins]]** ([[http://​extragear.kde.org/​apps/​kipi/​|Site]]). Un paquet complémentaire est nécessaire si vous souhaitez bénéficier des outils de modifications des photos et d'​édition des métadonnées (EXIF, IPTC...) **[[apt>​kipi-plugins]]** ([[http://​extragear.kde.org/​apps/​kipi/​|Site]]).
 +
 +==== AppImage ====
 +Vous trouverez [[https://​www.digikam.org/​download/​|ici]] l'​AppImage de Digikam.
 +
 +==== Snap ====
 +Pour tester la dernière version béta:
 +<code bash>
 +sudo snap install digikam --beta
 +sudo snap connect digikam:​kde-frameworks-5-plug kde-frameworks-5-core18:​kde-frameworks-5-core18-slot
 +</​code>​
 +Si vous aviez une précédente version, pensez à renommer votre ancienne base de données digikam, par défaut à l'​emplacement ///​home/​$USER/​Images/​digikam4.db//​ en digikam4.db.old
  
 ==== Installer sous Ubuntu en limitant les dépendances KDE ==== ==== Installer sous Ubuntu en limitant les dépendances KDE ====
Ligne 31: Ligne 41:
 Ou bien en une ligne de commande: <​code>​sudo apt-get install --no-install-recommends digikam</​code>​ et si vous souhaitez installer les plugins : <​code>​sudo apt-get install --no-install-recommends kipi-plugins</​code>​ Ou bien en une ligne de commande: <​code>​sudo apt-get install --no-install-recommends digikam</​code>​ et si vous souhaitez installer les plugins : <​code>​sudo apt-get install --no-install-recommends kipi-plugins</​code>​
  
-Par contre sans les dépendances KDE, les thèmes de Digikam ne seront pas disponibles. Si vous désirez néanmoins pouvoir changer de thème, il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​kde-workspace-data]]**. 
  
-<note important>​A partir de Ubuntu 16.04.5 LTS, "​Aucune version du paquet kde-workspace-data n'est disponible"​. Si quelqu'​un a plus d'info à ce sujet...</​note>​ 
 ==== Installer la dernière version ==== ==== Installer la dernière version ====
 +Voir aussi [[:​digikam#​appimage|installation via AppImage]] ou [[:​digikam#​snap|installation via Snap]]\\
 +
 <note important>​Pour une mise à jour depuis une précédente version de digiKam, il est conseillé de désinstaller l'​installation existante, afin de limiter les problèmes de dépendances. Il est également préférable de supprimer les fichiers ''​thumbnails-digikam.db''​ et ''​digikam4.db''​ ainsi que de sauvegarder vos "​TAG"​ sur vos images à partir de votre ancienne version Digikam avant de supprimer ces deux fichiers. <note important>​Pour une mise à jour depuis une précédente version de digiKam, il est conseillé de désinstaller l'​installation existante, afin de limiter les problèmes de dépendances. Il est également préférable de supprimer les fichiers ''​thumbnails-digikam.db''​ et ''​digikam4.db''​ ainsi que de sauvegarder vos "​TAG"​ sur vos images à partir de votre ancienne version Digikam avant de supprimer ces deux fichiers.
 </​note>​ </​note>​
 +<note important>​Philip Johnsson (aka Philip5) ne propose plus de paquets depuis Artful. Dernière version disponible pour Zeisty : Digikam 5.6.0.</​note>​
 Pour avoir la dernière version de digiKam: Pour avoir la dernière version de digiKam:
   * [[:​ppa#​ajout_d_un_ppa_a_vos_sources_logicielles|Ajoutez les PPAs]] **ppa:​philip5/​extra**((http://​ppa.launchpad.net/​philip5/​extra/​ubuntu/​)) (Ubuntu) ou **ppa:​philip5/​kubuntu-backports**((http://​ppa.launchpad.net/​philip5/​kubuntu-backports/​ubuntu/​)) (Kubuntu) dans vos sources de logiciels.   * [[:​ppa#​ajout_d_un_ppa_a_vos_sources_logicielles|Ajoutez les PPAs]] **ppa:​philip5/​extra**((http://​ppa.launchpad.net/​philip5/​extra/​ubuntu/​)) (Ubuntu) ou **ppa:​philip5/​kubuntu-backports**((http://​ppa.launchpad.net/​philip5/​kubuntu-backports/​ubuntu/​)) (Kubuntu) dans vos sources de logiciels.
Ligne 45: Ligne 56:
 =====Configuration===== =====Configuration=====
 <note important>​Depuis la version d'​ubuntu 16.04, la géolocalisation des photos ne marche plus dans Digikam4. Installer Digikam5 si vous utilisez cette fonctionnalité. <note important>​Depuis la version d'​ubuntu 16.04, la géolocalisation des photos ne marche plus dans Digikam4. Installer Digikam5 si vous utilisez cette fonctionnalité.
-Un autre bug majeur dans la distrib 17.04 : [[https://​bugs.kde.org/​show_bug.cgi?​id=378873]] ​ +Un autre [[https://​bugs.kde.org/​show_bug.cgi?​id=378873|bug]] majeur dans la distrib 17.04.</​note>​
-</​note>​+
 ==== Mettre Digikam en français sous Ubuntu ==== ==== Mettre Digikam en français sous Ubuntu ====
  
Ligne 64: Ligne 74:
  
 =====Utilisation===== =====Utilisation=====
-Pour lancer l'​application faites une recherche dans [[:​unity#​tableau_de_bord_dash|le tableau de bord Unity]] avec le mot clé **digiKam** ou //via// la [[:​commande_shell|commande]] suivante : <​code>​digikam</​code>​.+Pour lancer l'​application faites une recherche dans [[:​unity#​tableau_de_bord_dash|le tableau de bord Unity]] avec le mot clé **digiKam** ou //via// la [[:​commande_shell|commande]] suivante :  
 +<​code>​digikam 
 +# ou selon le mode d'​installation:​ 
 +digikam5 
 +</​code>​.
  
 ==== Ajouter des collections ==== ==== Ajouter des collections ====
Ligne 77: Ligne 91:
 ==== Reconnaissance faciale / de visages ==== ==== Reconnaissance faciale / de visages ====
 La reconnaissance faciale fonctionne correctement,​ mais pas la détection des visages. Il faut donc indiquer manuellement le nom de la personne pour chaque étiquette. La reconnaissance faciale fonctionne correctement,​ mais pas la détection des visages. Il faut donc indiquer manuellement le nom de la personne pour chaque étiquette.
 +<note tip>​Depuis la version 6.4.0, la détection et reconnaissance est très performante! Vérifiez les options pour un meilleur résultat: Paramètres ://100 Accurate//, Avancé: //​Algorithme Deep Learning//. Il faut confirmer les reconnaissances incertaines dans //Non confirmé// et //Effacer et reconstruire toutes les données d'​apprentissage//​ une fois la base de reconnaissance de visages bien fournie</​note>​
  
 +==== Renommage des photos ====
 +Après avoir sélectionné des photos, si vous tapez la touche F2 ou le menu //Item// puis //​Renommer//,​ il est facile de renommes vos photos par lot, par exemple pour ajouter la date de la prise de vue en préfixe, conserver le nom de base de la photo et ajouter un sujet/​contexte,​ dans la zone de saisie, on peut définir : 
 +<​code>​[date:​yyyyMMdd]_[file]_mon-sujet</​code>​
 +Les photos //​DSC_1234.JPG//​ et //​DSC_1235.JPG//,​ prises le 8 mai 2021 seront renommées respectivement //​20210508_DSC_1234_mon-sujet.JPG//​ et //​20210508_DSC_1235_mon-sujet.JPG//​. Si vous préférez avoir des tirets entre année-mois-date,​ il suffit de mettre [date:​yyyy-MM-dd]
 +=====Problème connus=====
 +====Digikam ne s'​ouvre plus après une migration de 16.04 à 18.04====
 +Dans le cas d'une mise à jour de Ubuntu 16.04 vers 18.04 par exemple, la version de Digikam (et de Kde) change de la version 4.x.x à la version 5.x.x. Si on lance la version 5.x.x dans 18.04, il y a une erreur qui s'​affiche et on a l'​impression d'​avoir perdu toutes les photos et les tags associés. Il n'en est rien. Voici la procédure pour le faire marcher :
 +  - fermer Digikam 5.x.x
 +  - faire une copie de sauvegarde des fichiers de base de données de Digikam appelés digikam4.db et thumbnails-digikam.db. Normalement ils sont dans ~/Images.
 +  - copier tous les fichiers et répertoires suivants (([[https://​bugs.kde.org/​show_bug.cgi?​id=364258#​c7|source]] et [[https://​bugs.kde.org/​show_bug.cgi?​id=364258#​c8|ici]] par l'​auteur de Digikam Gilles Caulier)):
 +    * Dans **~/​.kde4/​share/​config/​** (ou ~/​.kde/​share/​config/​),​ déplacer les fichiers ''​digikamrc,​ digikam_tagsmanagerrc,​ kipipluginsrc,​ kipirc, showfotorc''​ vers le dossier **~/​.config/​**
 +    * Déplacer tous les fichiers du dossier **~/​.kde4/​share/​apps/​digikam/​** vers **~/​.local/​share/​apps/​digikam/​**
 +  - Démarrer Digikam 5.x.x.
 ===== Désinstallation ===== ===== Désinstallation =====
  
Ligne 84: Ligne 112:
 ===== Voir aussi ===== ===== Voir aussi =====
  
-  * **(en)** [[http://​www.digikam.org/​|Site officiel]]+  * **(en)** [[https://​www.digikam.org/​|Site officiel]]
   * (fr) [[https://​bibliothequedouelle46.files.wordpress.com/​2016/​03/​manuel-dutilisation-digikam1.pdf|tutoriel 2016]]   * (fr) [[https://​bibliothequedouelle46.files.wordpress.com/​2016/​03/​manuel-dutilisation-digikam1.pdf|tutoriel 2016]]
 +  * (en) [[https://​invent.kde.org/​kde/​digikam|Codes source]]
  
 {{backlinks>​.}} {{backlinks>​.}}
  
 ---- ----
-//​Contributeurs : [[contributeurs|Les contributeurs d'​Ubuntu-fr]],​ [[:​utilisateurs:​Gemnoc]],​ [[:​utilisateurs:​Bionet]].//​+//​Contributeurs : [[contributeurs|Les contributeurs d'​Ubuntu-fr]],​ [[:​utilisateurs:​Gemnoc]],​ [[:​utilisateurs:​Bionet]], [[:​utilisateurs:​bcag2]].//
  
  • digikam.1539808228.txt.gz
  • Dernière modification: Le 17/10/2018, 22:30
  • par 86.202.90.243